statistics-0.16.3.0: A library of statistical types, data, and functions

Copyright | (c) 2011 Aleksey Khudyakov
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Statistics.Distribution.StudentT

Contents

- Constructors
- Accessors

Description

Student-T distribution

Synopsis

- data StudentT
- studentT :: Double -> StudentT
- studentTE :: Double -> Maybe StudentT
- studentTUnstandardized :: Double -> Double -> Double -> LinearTransform StudentT
- studentTndf :: StudentT -> Double

# Documentation

data StudentT #

Student-T distribution

#### Instances

Instances details

FromJSON StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods parseJSON :: Value -> Parser StudentT # parseJSONList :: Value -> Parser [StudentT] # omittedField :: Maybe StudentT #
ToJSON StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods toJSON :: StudentT -> Value # toEncoding :: StudentT -> Encoding # toJSONList :: [StudentT] -> Value # toEncodingList :: [StudentT] -> Encoding # omitField :: StudentT -> Bool #
Binary StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods put :: StudentT -> Put # get :: Get StudentT # putList :: [StudentT] -> Put #
Data StudentT # |

Instance details

Defined in Statistics.Distribution.StudentT

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> StudentT -> c StudentT #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c StudentT #

toConstr :: StudentT -> Constr #

dataTypeOf :: StudentT -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c StudentT) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c StudentT) #

gmapT :: (forall b. Data b => b -> b) -> StudentT -> StudentT #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> StudentT -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> StudentT -> r #

gmapQ :: (forall d. Data d => d -> u) -> StudentT -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> StudentT -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> StudentT -> m StudentT #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> StudentT -> m StudentT #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> StudentT -> m StudentT #

Generic StudentT # |

Instance details

Defined in Statistics.Distribution.StudentT

Associated Types

type Rep StudentT |
Instance details Defined in Statistics.Distribution.StudentT type Rep StudentT = D1 ('MetaData "StudentT" "Statistics.Distribution.StudentT" "statistics-0.16.3.0-JhFVwN7Kv9y2XSvDlj54t" 'True) (C1 ('MetaCons "StudentT" 'PrefixI 'True) (S1 ('MetaSel ('Just "studentTndf") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Double)))

Methods

from :: StudentT -> Rep StudentT x #

to :: Rep StudentT x -> StudentT #

Read StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods readsPrec :: Int -> ReadS StudentT # readList :: ReadS [StudentT] # readPrec :: ReadPrec StudentT # readListPrec :: ReadPrec [StudentT] #
Show StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods showsPrec :: Int -> StudentT -> ShowS # show :: StudentT -> String # showList :: [StudentT] -> ShowS #
Eq StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods (==) :: StudentT -> StudentT -> Bool # (/=) :: StudentT -> StudentT -> Bool #
ContDistr StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods density :: StudentT -> Double -> Double # logDensity :: StudentT -> Double -> Double # quantile :: StudentT -> Double -> Double # complQuantile :: StudentT -> Double -> Double #
ContGen StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods genContVar :: StatefulGen g m => StudentT -> g -> m Double #
Distribution StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods cumulative :: StudentT -> Double -> Double # complCumulative :: StudentT -> Double -> Double #
Entropy StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods entropy :: StudentT -> Double #
MaybeEntropy StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods maybeEntropy :: StudentT -> Maybe Double #
MaybeMean StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods maybeMean :: StudentT -> Maybe Double #
MaybeVariance StudentT # |
Instance details Defined in Statistics.Distribution.StudentT Methods maybeVariance :: StudentT -> Maybe Double # maybeStdDev :: StudentT -> Maybe Double #
type Rep StudentT # |
Instance details Defined in Statistics.Distribution.StudentT type Rep StudentT = D1 ('MetaData "StudentT" "Statistics.Distribution.StudentT" "statistics-0.16.3.0-JhFVwN7Kv9y2XSvDlj54t" 'True) (C1 ('MetaCons "StudentT" 'PrefixI 'True) (S1 ('MetaSel ('Just "studentTndf") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Double)))

# Constructors

studentT :: Double -> StudentT #

Create Student-T distribution. Number of parameters must be positive.

studentTE :: Double -> Maybe StudentT #

Create Student-T distribution. Number of parameters must be positive.

studentTUnstandardized #

Arguments

:: Double | Number of degrees of freedom
-> Double | Central value (0 for standard Student T distribution)
-> Double | Scale parameter
-> LinearTransform StudentT |

Create an unstandardized Student-t distribution.

# Accessors

studentTndf :: StudentT -> Double #